<?php

class Html
{
  public static function form_text( array $params = [] )
  {
    $tpl           = new Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/form-text' );
  }

  public static function input_switch( array $params = [] )
  {
    $tpl           = new Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/input-switch' );
  }

  public static function select( array $params = [] )
  {
    $tpl           = new Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/select' );
  }

  public static function textarea( array $params = [] )
  {
    $defaults = [
            'rows' => 4,
    ];

    $params = array_merge( $defaults, $params );

    $tpl           = new Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/textarea' );
  }

  public static function input_icon( array $params = [] )
  {
    $defaults = [
            'type' => 'text',
    ];

    $params = array_merge( $defaults, $params );

    $tpl           = new Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/input-icon' );
  }

  public static function input( array $params = [] )
  {
    $defaults = [
            'type' => 'text',
    ];

    $params = array_merge( $defaults, $params );

    $tpl           = new Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/input' );
  }

  public static function button( array $params = [] )
  {
    $defaults = [
            'class' => 'btn-sm btn-info',
    ];

    $params = array_merge( $defaults, $params );

    $tpl           = new Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/button' );
  }

  public static function panel( array $params = [] )
  {
    $defaults = [
            'title'   => 'panel-title',
            'class'   => 'panel-primary',
            'content' => 'panel-content'
    ];

    $params = array_merge( $defaults, $params );

    $tpl           = new Tpl;
    $tpl -> params = $params;
    return $tpl -> render( 'html/panel' );
  }

}